Community mailing list archives

community@mail.odoo.com

Re: [9.0] After moving odoo-site to other domain site broken - no images

by
bfigares
- 11/27/2015 07:25:42
I've had this issue with apache on Bitnami's aws image. The issue has to do with apache not finding the addons directory of your customizations under the standard odoo addons directory when applying the allow/deny rules in httpd, but I don't remember if/how we solved it. This of course happens only if and when you try to access web resources outside the standard addons directory (we used /opt/tdt/addons for example). Hope this points you in the right direction.



On Fri, Nov 27, 2015 at 7:57 AM, Ermin Trevisan <trevi@twanda.com> wrote:
I do have the same problems, mainly with background images, slider and
carousel images.
When restoring the database with the option create new database, the
images are restored properly.
But when moving to the new domain, the URLs of the image often are not
adapted and are pointing to the old domain.

You have to do the following:

1. Check all Parameters under Settings/Technical/Parameters/System
Parameters if they are pointing to the proper domain

2. Inspect your website page by page where ever you miss something with
a web developer tool and check the URLs. If you find an old URL, edit
the website and choose the corresponding image/pictogram/video from the
list anew. Usually you do not need to upload them again.

Cheers, trevi

-- 
twanda AG
Ermin Trevisan
Artherstrasse 19
CH-6318 Walchwil
T    +41 41 758 1515
M    +41 79 208 7373
E    trevi@twanda.com
www.twanda.ch
www.twanda.ch/page/restaurant
On 27.11.2015 01:12, Cocopapa wrote: > Hi we moved our dev site to the later live domain without subdomain, but > no images show up. Before we moved the site as backups to other > subdomains too without problems. But on the domain without sub there is > a problem. Only one parallax image (Standard Parallax element) shows up > always (no idea why only this one and why not all others as all have > been inserted the same way) > > ProxyRequests Off > ProxyPreserveHost On > ProxyPass /longpolling/ http://localhost:8072/longpolling/ > retry=0 > ProxyPassReverse /longpolling/ http://localhost:8072/longpolling/ > retry=0 > ProxyPass / http://localhost:8069/ retry=0 > ProxyPassReverse / http://localhost:8069/ retry=0 > > > The site is running from apache proxy > > [options] > # This is the password that allows database operations: > admin_passwd = > # Database configuration > db_host = localhost > db_port = False > db_password = > db_user = odoo > # Ports to use > xmlrpc_port = 8069 > longpolling_port = 8072 > # Workers and timeouts > workers = 4 > limit_time_real = 3600 > limit_time_cpu = 3600 > # Is it behind a HTTP reverse proxy? > proxy_mode = 1 > # DB filtering for multi-site instances > # Example: dbfilter=^%d$ > # %d = hostname > # %h = hostname.domainname.com > dbfilter=^%h$ > # Logfile > logfile = /var/log/odoo/odoo-server.log > # Addons Path > addons_path=/opt/odoo/odoo-server/addons,/opt/odoo/custom/addons > > > Proxy mode in odoo is on. > > # Should-Start: $network > # Should-Stop: $network > # Default-Start: 2 3 4 5 > # Default-Stop: 0 1 6 > # Short-Description: Enterprise Business Applications > # Description: ODOO Business Applications > ### END INIT INFO > PATH=/bin:/sbin:/usr/bin > DAEMON=/opt/odoo/odoo-server/openerp-server > NAME=odoo-server > DESC=odoo-server > # Specify the user name (Default: odoo). > USER=odoo > # Specify an alternate config file (Default: /etc/openerp-server.conf). > CONFIGFILE="/etc/odoo-server.conf" > # pidfile > PIDFILE=/var/run/$NAME.pid > # Additional options that are passed to the Daemon. > DAEMON_OPTS="-c $CONFIGFILE" > [ -x $DAEMON ] || exit 0 > [ -f $CONFIGFILE ] || exit 0 > checkpid() { > [ -f $PIDFILE ] || return 1 > pid=`cat $PIDFILE` > [ -d /proc/$pid ] && return 0 > return 1 > } > case "${1}" in > start) > echo -n "Starting ${DESC}: " > start-stop-daemon --start --quiet --pidfile ${PIDFILE} \ > --chuid ${USER} --background --make-pidfile \ > --exec ${DAEMON} -- ${DAEMON_OPTS} --no-database-list > echo "${NAME}." > ;; > stop) > echo -n "Stopping ${DESC}: " > start-stop-daemon --stop --quiet --pidfile ${PIDFILE} \ > --oknodo > echo "${NAME}." > ;; > restart|force-reload) > echo -n "Restarting ${DESC}: " > start-stop-daemon --stop --quiet --pidfile ${PIDFILE} \ > --oknodo > sleep 1 > start-stop-daemon --start --quiet --pidfile ${PIDFILE} \ > --chuid ${USER} --background --make-pidfile \ > --exec ${DAEMON} -- ${DAEMON_OPTS} --no-database-list > echo "${NAME}." > ;; > *) > N=/etc/init.d/${NAME} > echo "Usage: ${NAME} {start|stop|restart|force-reload}" >&2 > exit 1 > ;; > esac > exit 0 > > > OS: Ubuntu 14.04 > Postgres: 9.4 > Odoo: 9.0 from git > No custom addons! > > Any ideas what could be wrong appreciated. Thanks > > Cori > > _______________________________________________ > Mailing-List: https://www.odoo.com/groups/community-59 > Post to: mailto:community@mail.odoo.com > Unsubscribe: https://www.odoo.com/groups?unsubscribe >

_______________________________________________
Mailing-List: https://www.odoo.com/groups/community-59
Post to: mailto:community@mail.odoo.com
Unsubscribe: https://www.odoo.com/groups?unsubscribe